import { ChangeDetectorRef, OnDestroy } from '@angular/core';
import { IFilteringExpression } from '../data-operations/filtering-expression.interface';
export declare enum ColumnDisplayOrder {
    Alphabetical = 0,
    DisplayOrder = 1,
}
export declare abstract class ColumnChooserBase implements OnDestroy {
    cdr: ChangeDetectorRef;
    columns: any[];
    title: string;
    filterColumnsPrompt: string;
    readonly columnItems: any[];
    filterCriteria: string;
    columnDisplayOrder: ColumnDisplayOrder;
    columnsAreaMaxHeight: string;
    cssClass: string;
    private _currentColumns;
    private _gridColumns;
    private _rawColumns;
    private _columnDisplayOrder;
    private _filterCriteria;
    private _filterColumnsPrompt;
    private _title;
    constructor(cdr: ChangeDetectorRef);
    ngOnDestroy(): void;
    private createColumnItems();
    protected abstract createColumnItem(container: any, column: any): any;
    private orderColumns(value);
    protected filter(): void;
    protected createFilteringExpression(fieldName: string): IFilteringExpression;
    protected clearFiltering(): void;
}
